echo off
CLS
ECHO Starting 4820 21x51x Software Installation Process >C:\4820_21x51x_SelfExtractor_Install_Log.txt
REM ****************
REM * Purpose:
REM *  Always expand the Single Install 
REM *  Package in the root of C drive
REM *  Allows a fixed location for the 
REM *  results file to be known
REM *
REM * Log file for this batch file is 
REM * C:\4820_21x51x_SelfExtractor_Install_Log.txt
REM ****************
REM
REM *****************
REM * Check for the existence of 
REM * parameter 1. We expect a 
REM * parameter identifying the 
REM * folder location where the 
REM * self-extracting ZIP file and
REM * related batch file were put
REM * by the user.
REM *****************
REM 
if %1. EQU . GOTO HELP
REM
REM ****************************
REM * If the current directory
REM * is the root of C:, then
REM * do not delete the file from
REM * the root of C:\ since the user
REM * has most likely downloaded the
REM * self extracting ZIP file and the
REM * associated batch file into
REM * C:\.
REM ******************************
IF %~dp0. EQU C:\. GOTO DELFLDR
REM 
REM ****************
REM * delete file of C: Drive
REM * and create a new LOG file
REM * for this batch file.
REM * 
REM ****************
IF NOT EXIST c:\4820_21x51x_Driver_and_Utility_Installation_Package.exe GOTO DELFLDR
ECHO del c:\4820_21x51x_Driver_and_Utility_Installation_Package.exe /F /Q  >>C:\4820_21x51x_SelfExtractor_Install_Log.txt
del c:\4820_21x51x_Driver_and_Utility_Installation_Package.exe /F /Q  >>C:\4820_21x51x_SelfExtractor_Install_Log.txt

:DELFLDR
IF NOT  EXIST c:\4820_21x51x_Driver_and_Utility_Installation_Package\ GOTO SKIP2
ECHO rmdir c:\4820_21x51x_Driver_and_Utility_Installation_Package\ /S /Q   >>C:\4820_21x51x_SelfExtractor_Install_Log.txt
rmdir c:\4820_21x51x_Driver_and_Utility_Installation_Package\ /S /Q   >>C:\4820_21x51x_SelfExtractor_Install_Log.txt
:SKIP2

REM ****************
REM * Copy file to root of C: Drive
REM * if it is not already on 
REM * the root of C:
REM * 
REM ****************
if %~dp0. EQU C:\. GOTO RUNZIP
echo copy %1\4820_21x51x_Driver_and_Utility_Installation_Package.exe c:\  >>C:\4820_21x51x_SelfExtractor_Install_Log.txt
copy %1\4820_21x51x_Driver_and_Utility_Installation_Package.exe c:\  >>C:\4820_21x51x_SelfExtractor_Install_Log.txt
REM ****************
REM * Move to the root of C: drive
REM ****************
:RUNZIP
c:
cd \
REM ****************
REM * Run the self extracting ZIP file 
REM * from the root of the C: drive
REM ****************

ECHO 4820_21x51x_Driver_and_Utility_Installation_Package.exe -o  >>C:\4820_21x51x_SelfExtractor_Install_Log.txt
4820_21x51x_Driver_and_Utility_Installation_Package.exe -o  >>C:\4820_21x51x_SelfExtractor_Install_Log.txt

REM ****************
REM * Start the install of the
REM * Single Install Package
REM * 
REM ****************
echo cscript c:\4820_21x51x_Driver_and_Utility_Installation_Package\4820_21x51x_Support_Package_install_v1.45.vbs >>C:\4820_21x51x_SelfExtractor_Install_Log.txt
REM cscript c:\4820_21x51x_Driver_and_Utility_Installation_Package\4820_21x51x_Support_Package_install_v1.45.vbs
cd 4820_21x51x_Driver_and_Utility_Installation_Package
cscript 4820_21x51x_Support_Package_install_v1.45.vbs  >>C:\4820_21x51x_SelfExtractor_Install_Log.txt


REM Inserting these new lines will return the exitcode 10 from the .vbs script
REM to the Director. There are nine more error codes available, 1-9.

IF ERRORLEVEL 16 GOTO LABEL16
IF ERRORLEVEL 15 GOTO LABEL15
IF ERRORLEVEL 14 GOTO LABEL14
IF ERRORLEVEL 13 GOTO LABEL13
IF ERRORLEVEL 12 GOTO LABEL12
IF ERRORLEVEL 11 GOTO LABEL11
IF ERRORLEVEL 10 GOTO LABEL10
IF ERRORLEVEL 9 GOTO LABEL9
IF ERRORLEVEL 8 GOTO LABEL8
IF ERRORLEVEL 7 GOTO LABEL7
IF ERRORLEVEL 6 GOTO LABEL6
IF ERRORLEVEL 5 GOTO LABEL5
IF ERRORLEVEL 4 GOTO LABEL4
IF ERRORLEVEL 3 GOTO LABEL3
IF ERRORLEVEL 2 GOTO LABEL2
IF ERRORLEVEL 1 GOTO LABEL1
IF ERRORLEVEL 0 GOTO LABEL0

:LABEL16
SET ERRORLEV=16
ECHO Fail to launch NFOINSTALL.exe
GOTO END

:LABEL15
SET ERRORLEV=15
ECHO Fail to launch FINSTALL.exe
GOTO END

:LABEL14
SET ERRORLEV=14
ECHO Fail to install FOUSB
GOTO END

:LABEL13
SET ERRORLEV=13
ECHO Fail to uninstall FOUSB
GOTO END

:LABEL12
SET ERRORLEV=12
ECHO Fail to remove touch driver install files
GOTO END

:LABEL11
SET ERRORLEV=11
ECHO Fail to uninstall IBM POS Remote Monitor Upgrade Drivers
GOTO END

:LABEL10
SET ERRORLEV=10
ECHO Fail to install IBM POS Remote Monitor Upgrade Drivers
GOTO END

:LABEL9
SET ERRORLEV=9
ECHO Fail to uninstall IBM POS Inventory Drivers
GOTO END

:LABEL8
SET ERRORLEV=8
ECHO Fail to install IBM POS Inventory Drivers
GOTO END

:LABEL7
SET ERRORLEV=7
ECHO Fail to uninstall ELO driver
GOTO END

:LABEL6
SET ERRORLEV=6
ECHO Fail to install ELO driver
GOTO END

:LABEL5
SET ERRORLEV=5
ECHO Fail to copy 4820Utilities
GOTO END

:LABEL4
SET ERRORLEV=4
ECHO Fail to remove 4820Utilities
GOTO END

:LABEL3
SET ERRORLEV=3
ECHO Fail to copy MTOOL files
GOTO END

:LABEL2
SET ERRORLEV=2
ECHO Fail to remove MTOOL files 
GOTO END

:LABEL1
SET ERRORLEV=1
ECHO Skip to run the script, no installation or uninstallation possible to the target machine
GOTO END

:LABEL0
SET ERRORLEV=0
ECHO Success to run the script without error

:END
EXIT %ERRORLEV%


GOTO DONE
:HELP
ECHO ********************************************************
ECHO * 4820_21x51x_SelfExtractor_Install.bat
ECHO *
ECHO *  This file causes the self-extracting zip file
ECHO *  to be expanded in the root of C:  (C:\)
ECHO *  and then runs the 4820 touch panel software 
ECHO *  installation program.
ECHO *
ECHO * One parameter is required.
ECHO *    The path of the location where the
ECHO *    self-extracting zip file and this 
ECHO *    batch file are located.
ECHO *
ECHO *  Example:
ECHO *    You copied or downloaded these files to
ECHO *    the C:\MyDownload folder.
ECHO *    The batch file invocation you would use is 
ECHO *      4820_21x51x_SelfExtractor_Install  C:\MyDownload
EcHO *
ECHO *  Example:
ECHO *    You copied or downloaded the self-extracting zip file  
ECHO *    and the batch file to the root of C: drive.  
ECHO *    The batch file invocation you would use is
ECHO *      4820_21x51x_SelfExtractor_Install C:
ECHO *
ECHO ************************************************************

:DONE
ECHO Finished 4820 21x51x Software Installation Process >>C:\4820_21x51x_SelfExtractor_Install_Log.txt

